package cn.com.qmth.scancentral.config;

import cn.com.qmth.scancentral.support.ResourceManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * WebMvcConfigurer
 */
@Configuration
public class ScanWebMvcConfigurer implements WebMvcConfigurer {

    @Autowired
    ResourceManager resourceManager;

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**").allowedOrigins("*").allowCredentials(false).allowedMethods("*").maxAge(3600);
    }

}

