package cn.com.qmth.scancentral.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.github.jeffreyning.mybatisplus.service.IMppService;

import cn.com.qmth.scancentral.bean.User;
import cn.com.qmth.scancentral.entity.AnswerCardEntity;
import cn.com.qmth.scancentral.vo.AnswerCardVo;

public interface AnswerCardService extends IMppService<AnswerCardEntity> {

    int getCountByExam(Long examId);

    AnswerCardEntity save(User user, Long examId, Integer number, String subjectCode, String parameter, String remark,
            Integer paperCount, Boolean singlePage, String md5,Integer dpi, MultipartFile file);

    void delete(User user, Long examId, Integer number);

    List<AnswerCardVo> listByExamId(Long examId);

    List<AnswerCardVo> listByExamIdForScanner(Long examId, User scanner, String device);

    AnswerCardEntity findByExamAndNumber(Long examId, Integer number);

}
