package cn.com.qmth.scancentral.service;

import cn.com.qmth.scancentral.entity.OmrGroupEntity;
import cn.com.qmth.scancentral.model.OmrCondition;
import cn.com.qmth.scancentral.vo.OmrGroupVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface OmrGroupService extends IService<OmrGroupEntity> {

    void deleteById(Long id);

    void resetById(Long id);

    void buildTaskById(Long id);

    List<OmrGroupVo> listByExamId(Long examId);

    void updateStage(Long id, Long userId);

    OmrGroupEntity save(Long id, Long examId, List<OmrCondition> conditions, Long userId);

    List<OmrGroupEntity> findByExamIdAndFixed(Long examId, Boolean fixed);

	void updateTotalCount(Long id);

    void addFixOmrCondition(Long userId,Long examId);
    
    void updateTotalCountByExamId(Long examId);

}
