package cn.com.qmth.scancentral.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.scancentral.entity.QuestionEntity;

public interface QuestionService extends IService<QuestionEntity> {

    List<QuestionEntity> findByExamIdAndSubjectCode(Long examId, String subjectCode);

    void deleteByExamIdAndSubjectCode(Long examId, String subjectCode);
    
    void deleteByExamId(Long examId);

    int importQuestion(List<QuestionEntity> questionList);

}
