package cn.com.qmth.scancentral.vo.assginedcheck;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class AssginedTaskResult {

    @NotNull(message = "考生ID不能为空")
    private Long id;

    @Valid
    @NotNull(message = "papers不能为空")
    @Size(min = 1, message = "papers不能为空")
    private List<AssignedTaskResultPaper> papers;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<AssignedTaskResultPaper> getPapers() {
        return papers;
    }

    public AssignedTaskResultPaper findPaper(Integer number) {
        if (papers != null) {
            for (AssignedTaskResultPaper vo : papers) {
                if (vo.getNumber().equals(number)) {
                    return vo;
                }
            }
        }
        return null;
    }

    public void setPages(List<AssignedTaskResultPaper> papers) {
        this.papers = papers;
    }

}
