package cn.com.qmth.scancentral.service;

import java.util.Collection;

import cn.com.qmth.scancentral.bean.SchoolSession;
import cn.com.qmth.scancentral.bean.User;

public interface SessionService {

    Long updateUserSession(User user);

    void clearTimeOutUser();

    void userLogout(User user);

    void userLogin(User user);

    User getSessionUser(String sessionId);

    int getOnlineCount();

    boolean checkScannerOnline(String device);

    void removeSchoolSession(Long schoolId);

    SchoolSession getSchoolSession(Long schoolId);

    Collection<SchoolSession> getSchoolSessions();

    int getOnlineScannerCount();

    int getOnlineAuditorCount();
    
    boolean checkAuditorOnline(String loginName);

}
