package cn.com.qmth.scancentral.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.scancentral.bean.answergroup.StudentAnswerGroupCondition;
import cn.com.qmth.scancentral.bean.answergroup.StudnetAnswerGroupCountVo;
import cn.com.qmth.scancentral.bean.answergroup.StudnetAnswerGroupIdVo;
import cn.com.qmth.scancentral.bean.answergroup.StudnetAnswerGroupMarkedVo;
import cn.com.qmth.scancentral.bean.answergroup.StudnetAnswerGroupSummaryQuery;
import cn.com.qmth.scancentral.bean.answergroup.StudnetAnswerGroupSummaryVo;
import cn.com.qmth.scancentral.bean.answergroup.StudnetAnswerGroupVo;
import cn.com.qmth.scancentral.entity.StudentAnswerGroupEntity;

public interface StudentAnswerGroupService extends IService<StudentAnswerGroupEntity> {

    void deleteById(Long id);

    void resetById(Long id);

    void updateTotalCount(Long id);

    void updateTotalCountByExamId(Long examId);

    StudnetAnswerGroupVo listByExamId(Long examId);

    StudnetAnswerGroupCountVo countByCondition(StudentAnswerGroupCondition domain);

    StudnetAnswerGroupIdVo saveByCondition(StudentAnswerGroupCondition domain);

    void buildTaskById(Long groupId);

    StudnetAnswerGroupSummaryVo summary(StudnetAnswerGroupSummaryQuery query);

    List<StudnetAnswerGroupMarkedVo> marked(Long examId);

}
